namespace SK.MemberWeb.Templates.Default
{
	using System;
	using System.Data;
	using System.Drawing;
	using System.Web;
	using System.Web.UI.WebControls;
	using System.Web.UI.HtmlControls;
	using System.Web.Security;
	using SK.MemberBLL;

	/// <summary>
	///		cu_PayResult 的摘要说明。
	/// </summary>
	public class cu_PayResult : BaseControl
	{
		PayLocalSystem paylocal = new PayLocalSystem();
		protected SK.MemberWeb.Controls.ControlHolder ControlHolder4;
		protected SK.MemberWeb.Controls.ControlHolder ControlHolder3;
		protected SK.MemberWeb.Controls.ControlHolder ControlHolder2;
		protected SK.MemberWeb.Controls.ControlHolder ControlHolder1;
		PaymentSystem payment = new PaymentSystem();
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			if(!IsPostBack)
				paysave();
		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		///		设计器支持所需的方法 - 不要使用代码编辑器
		///		修改此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
		string _Message;
		public string Message
		{
			get{return _Message;}
			set{_Message=value;}
		}
		private void paysave()
		{
			string v_oid=Request.Form["v_oid"].ToString();
			if(payment.HasBillID(v_oid))
			{
				this.DisplayAlert("此订单已经处理，不要重复刷新页面");
				return;
			}
			//Response.Write(Request.Form["v_pmode"]+"<br>");
			//Response.Write(Request.Form["v_pstatus"]+"<br>");
			//Response.Write(Request.Form["v_pstring"]+"<br>");
			//Response.Write(Request.Form["v_amount"]+"<br>");
			//Response.Write(Request.Form["v_md5"]+"<br>");
			//Response.End();
			string v_pmode=Request.Form["v_pmode"].ToString();
			int v_pstatus=int.Parse(Request.Form["v_pstatus"].ToString());
			string v_pstring=Request.Form["v_pstring"].ToString();
			string	v_amount=Request.Form["v_amount"];
			//string v_moneytype=Request.QueryString["v_moneytype"];
			string v_moneytype="CNY";
			string v_md5=Request.Form["v_md5"].ToString();
			string md5text=FormsAuthentication.HashPasswordForStoringInConfigFile(v_oid+v_pstatus+v_amount+v_moneytype+Main.GetValue("Pay_MD5").ToString(),"md5").ToUpper();
			if(v_md5!=md5text)
			{
				//this.DisplayAlert("本站检测出返回信息为非正常数据，怀疑为伪造信息，故加点未成功。\n如有疑问请与管理员联系!");
				_Message="<font color=red>本站检测出返回信息为非正常数据，判断为伪造信息，故加点未成功。<br>如有疑问请与管理员联系!</font>";
			}
			else
			{
				//try
				//{
					DataRow dr = paylocal.Info_v_oid(v_oid);
					if(dr == null)
					{
						this.DisplayAlert("非法订单");
						return;
					}

					switch(v_pstatus)
					{
						case 1:
							//this.DisplayAlert("已提交，因您使用非实时银行卡进行扣款，故需本上进行手行确认后才能增加分值或增加包年时间");
							_Message="已提交，因您使用非实时银行卡进行扣款，故需本上进行手行确认后才能增加分值或增加包年时间";
							break;
						case 20:
							payment.Add(this.CurrentMemberID,Convert.ToInt32(Convert.ToDecimal(v_amount)),v_oid,v_pmode,v_pstatus,v_pstring,0,dr["ProductID"],dr["PayMonth"],dr["PayPoint"],1);
							//this.DisplayAlert("支付成功，程序已自动完成充值");
							_Message="<font color=green>支付成功，且已经增加相应的点数和会员时间</font>";
							break;
						case 30:
							//this.DisplayAlert("支付失败");
							_Message = "<font color=red>支付失败</font>";
							break;
					}
				/*}
				catch
				{
					//this.DisplayAlert("自动增值程序出错，请等待手工处理!");
					_Message ="<br><b><font color=red>自动增值程序出错，请等待手工处理!</font></b>";
				}*/

				
			}
		}
	}
}
